Installation from USB (VGA Install on J1900DN-D3V)



  • I've downloaded the usb vga installer version, checksum matches, extracted and used rufus to create a bootable usb image.

    When I boot from the usb I get the menu options, then it goes through the first line when booting and then says booting and does nothing. I've tried single user mode and get same thing - even boot -v does not do anything.

    0_1543143094152_IMG_20181125_104633.jpg

    I've also tested an opensense usb installer and that works fine, so looks to be something to do with the pfsense installer

    I've re-downloaded the image and retried, but get same problems, even tried different usb devices



  • update:
    managed to get 2.2.2-release installed
    performed update from console using auto and this updated to 2.3.5
    i was then able to upgrade via web gui to 2.4.4

    but now the bootup stops with the same message above, but i get the final beeping to say it is up and running

    but i get no access to the web gui from another machine even though when check my main router it is showing pfsense is connected on the ip's assigned to it.

    any ideas as need to get this up and running



  • https://forum.netgate.com/search the answer is there.



  • @grimson said in Installation from USB (VGA Install on J1900DN-D3V):

    https://forum.netgate.com/search the answer is there.

    thanks but that is not much help

    i've already searched the forum and google for answers and there are none in regards to why the pfsense box is receiving an ip address, but neither dhcp is handing out addresses or why i can't access it from another client when on the same subnet

    even connecting the pfsense box directly to the client pc will not allow it to access the web configurator, nor will it get the ip address from the pfsense box

    nothing wrong with the network ports or the hardware as if i bootup with an older version of pfsense there are no problems and can access from another client


  • Netgate Administrator

    The answer is also here:
    https://www.netgate.com/docs/pfsense/install/upgrade-guide.html?highlight=upgrade#upgrading-from-versions-older-than-pfsense-2-4-4

    Two options:
    Boot the memstick uefi. The console wil then work fine.

    Or interrupt the bootloader and at the menu type:

    set kern.vty=sc
    boot
    

    Steve



  • Ignore the boot screen as got that working

    My main issue which I've stated is that it sets its wan ip and lan ip, but will not accept clients from same lan subnet, yet 2.2.2 and 2.3.5 both allowed this, but as soon as upgraded back to 2.4 which was previously working. I could no longer access Web gui.


  • Netgate Administrator

    What subnets are you using?
    Is pfSense pulling a dhcp lease on the WAN? Can you ping out from the console?

    You may have additional hardware that is detected in 2.4.X but was not in 2.3.X. If that includes NICs then the port order may have changed.

    Steve



  • @stephenw10 said in Installation from USB (VGA Install on J1900DN-D3V):

    What subnets are you using?
    Is pfSense pulling a dhcp lease on the WAN? Can you ping out from the console?

    You may have additional hardware that is detected in 2.4.X but was not in 2.3.X. If that includes NICs then the port order may have changed.

    Steve

    Nics are detected same as on 2.3.x, i had the wan to pickup through current network and set lan to 10. X. X. X range. No access to anything.

    If I plug direct to pc and enable dhcp on lan, pc gets no ip address no matter which port in.

    If on 2.3.x this works perfectly. 2.4.x worked up until Thursday night, so not sure why it suddenly stopped.

    I think may have to look at possible other solution, especially as my hardware will be no longer supported by pfsense shortly.

    Regards


  • Netgate Administrator

    This is probably something trivial. If you have enabled the console you will be able to test it. You should be able to see if pfSense is pulling a dhcp lease on it's WAN though from whatever is serving it.

    You mean the AES-NI requirement? There will be updates for 2.4.X for at least a year after 2.5 is released so you have plenty of time on that hardware.

    Steve



  • wan was getting the ip, can ping but from console but not allowing connection from devices - ended up resolving the issue as needed system backup urgently so installed another product, which worked straight away